Flash version 8.x required
(http://www.adobe.com)